Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#56613 - [dwarffortress] fails to start with "Unable to open any flavor of libncurses"

Attached to Project: Community Packages
Opened by Bob Bobber (bobberb) - Wednesday, 06 December 2017, 17:34 GMT
Last edited by Doug Newgard (Scimmia) - Wednesday, 13 December 2017, 15:45 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

dwarffortress 0.44.02-2 (x86_64) does not run with fully up-to-date system. Reports error:

Didn't find any flavor of libncursesw, attempting libncurses
Unable to open any flavor of libncurses!

I believe this has something to do with the recent change in ncurses 6 with libTinfo.

Steps to reproduce:
* Install dwarffortress 0.44.02-2 (x86_64)
* Run
This task depends upon

Closed by  Doug Newgard (Scimmia)
Wednesday, 13 December 2017, 15:45 GMT
Reason for closing:  Works for me
Comment by Doug Newgard (Scimmia) - Sunday, 10 December 2017, 18:35 GMT
Works for me. Are you sure your entire system is up to date, including any AUR/foreign packages that may need rebuilt?
Comment by Reid Wagner (rabw) - Sunday, 10 December 2017, 23:42 GMT
I believe dwarffortress needs libncurses5. I had the same issue and installed AUR ncurses5-compat-libs to resolve.
Comment by Doug Newgard (Scimmia) - Sunday, 10 December 2017, 23:48 GMT
Nope

Loading...